Skip to main content
PATCH
Update

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orgId
string
required

The organization's id (UUID) or slug — either form is accepted.

channelId
string
required

Body

application/json
name
string
Pattern: ^[a-z][a-z0-9-]{1,61}$
kind
enum<string>
Available options:
email,
signed_webhook,
slack
email
string<email>
webhookUrl
string<uri>

HTTPS endpoint or incoming Slack webhook. Stored encrypted and never returned.

Response

Updated masked alert channel.

id
string
required
name
string
required
Pattern: ^[a-z][a-z0-9-]{1,61}$
kind
enum<string>
required
Available options:
email,
signed_webhook,
slack
destinationMasked
string | null
required

Masked email address or endpoint. Full destinations are never returned.

secretHint
string | null
required

Non-secret suffix that identifies which stored credential is active.

verified
boolean
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required